Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class CompareValidator

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.CustomizableAdapter
            |
            +--weblogicx.jsp.tags.validators.CompareValidator

public class CompareValidator
extends CustomizableAdapter

Compares two strings from the two fields provided in the fieldToValidate attribute. They must be of the form field1,field2 where field1 is the field to be compared against field2

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`errorMessage, expression, fieldToValidate`

Constructor Summary
`CompareValidator()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`boolean` | `validate(javax.servlet.ServletRequest request)` Its is assumed here that the compare validator compares 2 fields which are listed as comma seperated elements in the fieldToValidate.

Methods inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`attributeDequote, getErrorMessage, getExpression, getFieldToValidate, setErrorMessage, setExpression, setFieldToValidate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompareValidator

    public CompareValidator()

Method Detail

### validate

    public boolean validate(javax.servlet.ServletRequest request)
                     throws java.lang.Exception

  Its is assumed here that the compare validator compares 2 fields which are listed as comma seperated elements in the fieldToValidate. here fieldToVlidate is assumed to be like firstField,secondField where firstField is the main field being validated secondField is the field to be validated against.

  Overrides:
    validate in class CustomizableAdapter

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class CustomizableAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD